package com.sqx.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.app.entity.UserMoneyDetails;
import com.sqx.modules.artificer.entity.Period;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface UserMoneyDetailsService extends IService<UserMoneyDetails> {

    Result queryUserMoneyDetails(Integer page, Integer limit, Long userId,Integer classify,Integer type,Long artificerId);

    Double monthIncome(String date,Long userId);

    BigDecimal selectSumRefund(Long userId, @Param("startTime") String startTime, @Param("endTime") String endTime);

    Result selectUserMoneyArtificer(Integer page,Integer limit,Long userId,Long artificerId,Integer user);

    Result selectIncomeByArtificerId(Integer page, Integer limit,Period period);

    List<UserMoneyDetails> selectIncome(Period period);

    int insert(UserMoneyDetails userMoneyDetails);

    Result selectArtificerQianbao(Long artificerId, String startTime, String endTime,Integer page, Integer limit);

    BigDecimal selectArtificerMoney(Long userId, @Param("startTime") String startTime, @Param("endTime") String endTime);
}
